%global name lago
%global version 0.3
%global release 0.3

Name:		%{name}
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	System testing framework
BuildArch:	noarch

Group:		System Environment/Libraries
License:	GPLv2+
URL:		https://github.com/oVirt/lago
Source0:	https://resources.ovirt.org/pub/src/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	python2-devel
BuildRequires:	python-flake8
BuildRequires:	python-nose
BuildRequires:	git
Requires:	python-%{name} = %{version}

%description
LAGO System testing framework.
Deploy and tear down environments of several virtual machines

%prep
%setup -q -n %{name}-%{version}

%build
LAGO_VERSION=%{version} %{__python} setup.py build

%install
LAGO_VERSION=%{version} %{__python} setup.py install --root $RPM_BUILD_ROOT
cd "$RPM_BUILD_DIR"
install -d $RPM_BUILD_ROOT/usr/share/lago
install \
    bin/sync_templates.py \
    bin/update_images.py \
    "$RPM_BUILD_ROOT"/usr/share/lago

install -d $RPM_BUILD_ROOT/usr/share/lago/setup_scripts
install \
    scripts/update_if_needed.sh \
    "$RPM_BUILD_ROOT"/usr/share/lago/setup_scripts

install -d "$RPM_BUILD_ROOT"/usr/share/ovirtlago/config/repos
install \
    contrib/ovirt/config/repos/ovirt-3.5-snapshot.repo \
    contrib/ovirt/config/repos/ovirt-3.5.repo \
    contrib/ovirt/config/repos/ovirt-master-snapshot-office.repo \
    contrib/ovirt/config/repos/ovirt-master-snapshot.repo \
    "$RPM_BUILD_ROOT"/usr/share/ovirtlago/config/repos

install -d "$RPM_BUILD_ROOT"/usr/share/ovirtlago/config/virt
install \
    contrib/ovirt/config/virt/centos6.json \
    contrib/ovirt/config/virt/centos7.json \
    contrib/ovirt/config/virt/centos7-container.json \
    contrib/ovirt/config/virt/rhel7.json \
    "$RPM_BUILD_ROOT"/usr/share/ovirtlago/config/virt

install -d "$RPM_BUILD_ROOT"/usr/share/ovirtlago/config/stores
install \
    contrib/ovirt/config/stores/ci.json \
    contrib/ovirt/config/stores/office.json \
    "$RPM_BUILD_ROOT"/usr/share/ovirtlago/config/stores

install -d "$RPM_BUILD_ROOT"/usr/share/ovirtlago/config/answer-files
install \
    contrib/ovirt/config/answer-files/el6_master.conf \
    contrib/ovirt/config/answer-files/el7_master.conf \
    contrib/ovirt/config/answer-files/el6_3.5.conf \
    contrib/ovirt/config/answer-files/el7_3.5.conf \
    "$RPM_BUILD_ROOT"/usr/share/ovirtlago/config/answer-files

install -d "$RPM_BUILD_ROOT"/usr/share/ovirtlago/setup_scripts
install \
    contrib/ovirt/setup_scripts/add_local_repo.sh \
    contrib/ovirt/setup_scripts/setup_engine.sh \
    contrib/ovirt/setup_scripts/setup_host.sh \
    contrib/ovirt/setup_scripts/setup_storage_iscsi.sh \
    contrib/ovirt/setup_scripts/setup_storage_nfs.sh \
    contrib/ovirt/setup_scripts/bz_1195882_libvirt_workaround.sh \
    contrib/ovirt/setup_scripts/setup_container_host.sh \
    "$RPM_BUILD_ROOT"/usr/share/ovirtlago/setup_scripts

install -d "$RPM_BUILD_ROOT"/usr/share/ovirtlago/test_scenarios
install \
    contrib/ovirt/test_scenarios/initialize_engine_el7.py \
    contrib/ovirt/test_scenarios/bootstrap.py \
    contrib/ovirt/test_scenarios/bootstrap_3_5.py \
    contrib/ovirt/test_scenarios/create_clean_snapshot.py \
    contrib/ovirt/test_scenarios/basic_sanity.py \
    "$RPM_BUILD_ROOT"/usr/share/ovirtlago/test_scenarios

install -d "$RPM_BUILD_ROOT"/usr/share/ovirtlago/examples
install \
    contrib/ovirt/examples/rhel7_with_master.sh \
    "$RPM_BUILD_ROOT"/usr/share/ovirtlago/examples

install -d "$RPM_BUILD_ROOT"/usr/libexec/ovirtlago
install \
    contrib/ovirt/libexec/build_engine_rpms.sh \
    contrib/ovirt/libexec/build_vdsm_rpms.sh \
    contrib/ovirt/libexec/build_vdsm-jsonrpc-java_rpms.sh \
    contrib/ovirt/libexec/build_ioprocess_rpms.sh \
    "$RPM_BUILD_ROOT"/usr/libexec/ovirtlago

install -d "$RPM_BUILD_ROOT"/etc/lago.d/
install \
    etc/lago.d/lago.conf \
    contrib/ovirt/etc/lago.d/ovirt.conf \
    "$RPM_BUILD_ROOT"/etc/lago.d/

install -d "$RPM_BUILD_ROOT"/etc/mock
install \
    contrib/ovirt/mock/epel-6-x86_64_ovirt.cfg \
    contrib/ovirt/mock/epel-7-x86_64_ovirt.cfg \
    "$RPM_BUILD_ROOT"/etc/mock

install -d "$RPM_BUILD_ROOT"/etc/firewalld/services
install \
    contrib/ovirt/firewalld/services/lago.xml \
    "$RPM_BUILD_ROOT"/etc/firewalld/services

install -d "$RPM_BUILD_ROOT"/etc/polkit-1/localauthority/50-local.d
install \
    polkit/lago.pkla \
    "$RPM_BUILD_ROOT"/etc/polkit-1/localauthority/50-local.d

install -d "$RPM_BUILD_ROOT"/etc/sudoers.d
install \
    sudo/lago \
    "$RPM_BUILD_ROOT"/etc/sudoers.d

install -d "$RPM_BUILD_ROOT"/var/lib/lago/subnets
install -d "$RPM_BUILD_ROOT"/var/lib/lago/store
install -d "$RPM_BUILD_ROOT"/var/lib/lago/repos
install -d "$RPM_BUILD_ROOT"/var/lib/lago/reposync

%files
%doc AUTHORS COPYING README.md
%{_bindir}/lagocli
%{_bindir}/lagocli-template-repo
%{_datadir}/%{name}/*
%attr(0775, root, root) %{_sysconfdir}/sudoers.d/*

%package -n python-%{name}
Summary:	Library to perform lago operations
BuildArch:	noarch
BuildRequires:	python2-devel
Requires:	python
Requires:	libguestfs-tools
Requires:	libvirt >= 1.2.8
Requires:	libvirt-python
Requires:	python-libguestfs
Requires:	python-lxml
Requires:	python-lockfile
Requires:	python-paramiko
Requires:	python-setuptools
Requires:	qemu-img >= 2.1.2
Requires:	qemu-kvm >= 2.1.2
Requires:	git

%description -n python-%{name}

%files -n python-%{name}
%{python2_sitelib}/%{name}/*.py*
%{python2_sitelib}/%{name}/*.xml
%{python2_sitelib}/%{name}/*.log.conf
%{python2_sitelib}/%{name}-%{version}-py*.egg-info
%{_sysconfdir}/lago.d/lago.conf
%{_sysconfdir}/polkit-1/localauthority/50-local.d/
%dir %attr(2775, root, lago) /var/lib/lago/
%dir %attr(2775, root, lago) /var/lib/lago/subnets/
%dir %attr(2775, root, lago) /var/lib/lago/store/
%dir %attr(2775, root, lago) /var/lib/lago/repos/

%pre -n python-%{name}
if [[ "$1" -eq 1 ]]; then
	groupadd lago
fi

%postun -n python-%{name}
if [[ "$1" -eq 0 ]]; then
	groupdel lago
fi

%package -n %{name}-ovirt
Summary:	oVirt extension for lagocli
BuildArch:	noarch
BuildRequires:	python2-devel
Requires:	%{name} = %{version}
Requires:	python-%{name}-ovirt = %{version}

%files -n %{name}-ovirt
%{_bindir}/lagocli-ovirt

%description -n %{name}-ovirt

%package -n python-%{name}-ovirt
Summary:	Library for ovirt specific facitilies
BuildArch:	noarch
BuildRequires:	python2-devel
Requires:	python
Requires:	python-%{name} = %{version}
Requires:	python-nose
Requires:	mock
Requires:	ovirt-engine-sdk-python
Requires:	createrepo
Requires:	yum-utils
Requires:	rpm-build


%description -n python-%{name}-ovirt

%files -n python-%{name}-ovirt
%{python2_sitelib}/ovirt%{name}/*.py*
%{_libexecdir}/ovirt%{name}/*
%{_sysconfdir}/mock/*
%{_sysconfdir}/firewalld/services/*
%{_sysconfdir}/lago.d/ovirt.conf
%dir %attr(2775, root, lago) /var/lib/lago/reposync/

%post -n python-%{name}-ovirt
if [ "$1" -eq 1 ]; then
	firewall-cmd --reload
	firewall-cmd --permanent --zone=public --add-service=lago
	firewall-cmd --reload
fi

%preun  -n python-%{name}-ovirt
if [ "$1" -eq 0 ]; then
	firewall-cmd --permanent --zone=public --remove-service=lago
	firewall-cmd --reload
fi

%package -n %{name}-ovirt-extras
Summary:	Extra files for lago-ovirt package
BuildArch:	noarch
Requires:	%{name}-ovirt = %{version}

%description -n %{name}-ovirt-extras

%files -n %{name}-ovirt-extras
%{_datadir}/ovirt%{name}/*


%changelog
* Thu Oct 22 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 0.2
- Fix lago.src: E: no-description-tag
- Fix lago.src: E: no-changelogname-tag
- Fix lago.src: W: invalid-url URL redhat.com
- Fix lago.src: W: invalid-url Source0: https://dimak.fedorapeople.org/lago/lago-0.2.tar.gz HTTP Error 404: Not Found
